> ## Documentation Index
> Fetch the complete documentation index at: https://docs.payvessel.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Virtual Account

> Fetch details of a specific virtual account using its business ID and account number.



## OpenAPI

````yaml api-reference/openapi.json GET /pms/api/external/request/virtual-account/{businessid}/{account}/
openapi: 3.1.0
info:
  title: PayVessel API
  description: >-
    PayVessel API for accepting payments, sending money, verifying identities,
    and managing wallets
  version: 1.0.0
servers:
  - url: https://api.payvessel.com
  - url: https://sandbox.payvessel.com
security:
  - {}
paths:
  /pms/api/external/request/virtual-account/{businessid}/{account}/:
    get:
      tags:
        - Virtual Accounts
      summary: Get Single Virtual Account
      description: >-
        Fetch details of a specific virtual account using its business ID and
        account number.
      parameters:
        - name: api-key
          in: header
          description: Your Payvessel public API key
          required: true
          schema:
            type: string
        - name: api-secret
          in: header
          description: Your Payvessel secret
          required: true
          schema:
            type: string
        - name: businessid
          in: path
          description: Merchant business ID associated with the virtual account
          required: true
          schema:
            type: string
        - name: account
          in: path
          description: Virtual account number to retrieve
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Virtual account retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/VirtualAccountDetails'
              examples:
                success:
                  summary: Static virtual account
                  value:
                    bankCode: '120001'
                    bankName: 9Payment Service Bank
                    accountNumber: '53663632517'
                    accountName: ADE OLA
                    account_type: STATIC
                    expire_date: null
                    trackingReference: DdGJDGJGJUGYF1038YKXAOE
        '401':
          description: Unauthorized request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '403':
          description: Forbidden request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '404':
          description: Virtual account not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    VirtualAccountDetails:
      type: object
      required:
        - bankCode
        - bankName
        - accountNumber
        - accountName
        - account_type
        - trackingReference
      properties:
        bankCode:
          type: string
          description: Partner bank code associated with the account
        bankName:
          type: string
          description: Partner bank name
        accountNumber:
          type: string
          description: Virtual account number
        accountName:
          type: string
          description: Account name assigned to the customer
        account_type:
          type: string
          description: Virtual account type
          enum:
            - STATIC
            - DYNAMIC
        expire_date:
          type:
            - string
            - 'null'
          format: date-time
          description: Expiration date for dynamic accounts; null for static accounts
        trackingReference:
          type: string
          description: Tracking reference for payments made to this account
    Error:
      required:
        - error
        - message
      type: object
      properties:
        error:
          type: integer
          format: int32
        message:
          type: string

````